#
# spec file for package pari (Version 2.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  readline readline-devel te_latex tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         pari
Version:      2.1.0
Release:      139
Summary:      A very powerful package for number theory
Copyright:    C.Batut, K.Belabas, D.Bernardi, H.Cohen, M.Olivier
Group:        Applications/Scientific
Provides:     gp
#Requires:
#Conflicts:
Autoreqprov: on
Source:   pari-2.1.0.tar.bz2
Patch:    pari-2.1.0.dif
BuildRoot:	%{_tmppath}/%{name}-root

%description
The PARI-GP calculator is an  advanced  programmable calculator,
which computes symbolically as long as possible, numerically
where  needed,  and  contains  a wealth  of  number-theoretic
functions  (elliptic curves, class field theory...). A library
that allows to call the functions from C-programs is included.

Authors:
--------
    C. Batut
    K. Belabas
    D. Bernardi
    H. Cohen
    M. Olivier

SuSE series: ap

%prep
%setup
%patch
#%ifarch s390
#DIR=$(find . -name configure -printf "%h\n")
#%{?suse_update_config:%{suse_update_config -f $DIR }}
#%endif

%build
## shared libraries must be build always with -fPIC on all architectures
CFLAGS="-fPIC -DOLD_READLINE" ./Configure --prefix=$RPM_BUILD_ROOT/usr
make gp
#make bench
make doc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/pari
#mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/pari/
MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT make install
ls -lR  $RPM_BUILD_ROOT
#DOCDIR=/usr/share/doc/packages/pari
#MANDIR=/usr/share/man/man1
#install -d -m 755 ${DOCDIR}
#install -m 644 README CHANGES doc/refcard.ps doc/refcard.dvi doc/tutorial.dvi doc/users.dvi doc/translations ${DOCDIR}
#install -m 644 doc/gp.1 doc/gphelp.1 ${MANDIR}
#install -m 644 doc/gphelp /usr/bin/
#

%files
%docdir /usr/share/man
%doc    /usr/share/man/man1/gp.1.gz
%doc    /usr/share/man/man1/pari.1.gz
%doc    /usr/share/man/man1/gphelp.1.gz
%docdir /usr/share/doc/packages/pari
%doc    /usr/share/doc/packages/pari/*
/usr/bin/gp
/usr/bin/gp-2.*
/usr/bin/tex2mail
/usr/bin/gphelp
/usr/include/pari/*
/usr/lib/libpari.so*
#%changelog

%changelog -n pari
* Fri Apr 20 2001 - kukuk@suse.de
- Use -fPIC, not -fpic
* Thu Apr 19 2001 - ro@suse.de
- use -DOLD_READLINE to compile, use -fpic for all
* Wed Apr 04 2001 - jj@suse.de
- use 'gcc -fpic' for ia64 (needed for building shared libs)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 - jj@suse.de
- initial version
